package tech.deepq.common.enums;

/**
 * @author yechuan
 * @since 2023/8/8 14:52
 **/
public class SignatureEnumGroup {

    /**
     * 加密字符串的位置
     */
    public static enum SignatureLocation{
        header,
        body,
        url
    }

    public static enum KeyAlgorithm{
        /**
         * RSA
         */
        RSA,
        /**
         * MD5
         */
        MD5
    }

    public static enum KeyType{
        /**
         * 私钥
         */
        privateKey,
        /**
         * 公钥
         */
        publicKey,
    }



}
